/// <reference path='d:/dts/dts/helperlib/src/index.d.ts'/>

/** @type {import("../iListenAttentively-LseExport/lib/iListenAttentively.js")} */
const iListenAttentively = require('./iListenAttentively-LseExport/lib/iListenAttentively.js');

const config = new JsonConfigFile(
    `./plugins/NatPortFixer/config/config.json`,
    JSON.stringify({
        "ipv4": 19132,
        "ipv6": 19133
    })
);

iListenAttentively.emplaceListener(
    "ila::mc::server::ServerPongBeforeEvent",
    event => {
        event["localPort"] = config.get("ipv4");
        event["localPortV6"] = config.get("ipv6");
    }
);